/*
 * hal_MFRC530.h
 *
 *  Created on: Nov 11, 2011
 *      Author: RomanM
 */

#ifndef HAL_MFRC530_H_
#define HAL_MFRC530_H_

#include <stdint.h>

void hal_Mfrc530_Init(void);
uint8_t hal_Mfrc530_RW(uint8_t data);
void hal_Mfrc530_NSS_Low(void);
void hal_Mfrc530_NSS_High(void);
void hal_Mfrc530_RSTPD_Low(void);
void hal_MFRC530_RSTPD_High(void);
void hal_Mfrc530_Wait100us(void);
void hal_Mfrc530_Wait5ms(void);

void hal_Mfrc530_WriteN(uint8_t *outBuff, uint8_t n);
void hal_Mfrc530_ReadN(uint8_t *inBuff, uint8_t n);

#endif /* HAL_MFRC530_H_ */
